@extends ('layouts.practice-management')

@section('section-title')
    Financial Transactions
@endsection

@section('inner-content')
    <div class="mcp-theme-1">
        <table class="table table-sm">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>Type</th>
                    <th>Client</th>
                    <th>Care Month</th>
                    <th>Bill/Code</th>
                    <th>Memo</th>
                    <th>Amount</th>
                    <th>Balance</th>
                </tr>
            </thead>
            <tbody>
                @foreach($transactions as $transaction)
                    <tr>
                        <td>
                            {{ friendly_date_time($transaction->created_at, true) }}
                        </td>
                        <td>
                            {{ $transaction->plus_or_minus === 'PLUS' ? 'Credit' : 'Debit' }}
                        </td>
                        <td>
                            <a href="/patients/view/{{ $transaction->client->uid }}">
                                <b>{{ implode(", ", [$transaction->client->name_last, $transaction->client->name_first]) }}</b>
                            </a>
                        </td>
                        <td>
                            <a href="/patients/view/{{ $transaction->client->uid }}/care-months/view/{{ $transaction->bill->careMonth->uid }}">
                                <b>{{ friendly_month($transaction->bill->careMonth->start_date) }}</b>
                            </a>
                        </td>
                        <td>
                            <b>{{ $transaction->bill->code }}</b>
                            <div class="text-secondary text-sm">Created: {{ friendly_date_time($transaction->bill->created_at, true) }}</div>
                        </td>
                        <td>{{ $transaction->custom_memo ? $transaction->custom_memo : '-' }}</td>
                        <td>${{ $transaction->amount }}</td>
                        <td>${{ $transaction->resulting_balance }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection
